/*
 * Base structure
 */

html,
body {
	height: 100%;
	font-size: 100%;
	font-family: 'Lato', sans-serif;
	background: -webkit-linear-gradient(#dfdfdf, #efefef);
	background: -moz-linear-gradient(#dfdfdf, #efefef);
	background: -o-linear-gradient(#dfdfdf, #efefef);
	background: linear-gradient(#dfdfdf, #efefef);
}

body {
	color: #2a2a2a;
	text-align: center;
}

.site-wrapper {
	display: table;
	width: 100%;
	height: 100%;
	min-height: 100%;
	-webkit-box-shadow: inset 0 20px 50px -20px rgba(0,0,0,.5);
	box-shadow: inset 0 20px 50px -20px rgba(0,0,0,.5);
}

.site-wrapper-inner {
  display: table-cell;
  vertical-align: top;
}

.cover-container {
  margin-right: auto;
  margin-left: auto;
}

/* Padding for spacing */
.inner {
  padding: 30px;
}


/* Header */
.masthead {
	display: block;
}

.masthead-brand {
  margin-top: 10px;
  margin-bottom: 10px;
}

.masthead-nav > li {
  display: inline-block;
}
.masthead-nav > li + li {
  margin-left: 20px;
}
.masthead-nav > li > a {
  padding-right: 0;
  padding-left: 0;
  font-weight: 300;
  color: #2a2a2a;
  border-bottom: 2px solid transparent;
}
.masthead-nav > li > a:hover,
.masthead-nav > li > a:focus {
  background-color: transparent;
  border-bottom-color: #a9a9a9;
  border-bottom-color: rgba(255,255,255,.25);
}
.masthead-nav > .active > a,
.masthead-nav > .active > a:hover,
.masthead-nav > .active > a:focus {
	border-bottom-color: #2a2a2a;
}

/* Cover */
.cover {
	padding: 0 20px;
}

.cover .btn-lg {
	padding: 10px 20px;
	font-weight: bold;
}

.cover-heading {
	font-weight: 700;
}

.cover a,
.cover a:link,
.cover a:hover,
.cover a:visited {
	color: #005799;
	text-decoration: underline;
}

/* Banner */
.banner-nav {
	width: 400px;
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 40px;
}

.banner-nav > li {
	display: inline-block;
}

.banner-nav > li > a,
.banner-nav > li > a:hover,
.banner-nav > li > a:link,
.banner-nav > li > a:visited {
	color: #fff;
	text-decoration: none;
	background: transparent;
}

.banner {
	display: inline;
	width: 80px;
	height: 80px;
	-moz-border-radius: 40px;
	-webkit-border-radius: 40px;
	border-radius: 40px;
	text-align: center;
	color: #fff;
}

.banner-icon {
	text-shadow: 0px 1px 2px #777;
	font-weight: 700;
	font-size: 44px;
	line-height: 56px;
}

#banner-services {
	background-color: #005799;
}

#banner-clients {
	background-color: #0088EE;
	margin: 0 40px;
}

#banner-me {
	background-color: #00EEEE;
}


/* Pages */
#page-container {
	position: relative;
	width: 100%;
	height: 250px;
	overflow-y: hidden;
	vertical-align: top;
}

.page {
	position: absolute;
	-moz-transition: top 0.5s ease;
	-webkit-transition: top 0.5s ease;
	transition: top 0.5s ease;
}

.page-closed {
	top: -300px;
}

.page-open {
	top: 0px;
}


@media (min-width: 0px) {
	.horizontal-separator {
		display: none;
	}
	.contact-info {
		display: block;
		width: 100%;
	}
	/* hide the banner icons */
	.banner-nav {
		display: none;
	}
}

@media (min-width: 768px) {
	/* Pull out the header and footer */
	.masthead {
		position: fixed;
		top: 0;
	}
	.mastfoot {
		position: fixed;
		bottom: 0;
	}
	.masthead-brand {
		float: left;
	}
	.masthead-nav {
		float: right;
	}
	/* Start the vertical centering */
	.site-wrapper-inner {
		vertical-align: middle;
	}
	/* Handle the widths */
	.masthead,
	.mastfoot,
	.cover-container {
		width: 100%; /* Must be percentage or pixels for horizontal alignment */
	}
	/* Show the banner icons */
	.banner-nav {
		display: block;
	}
}

@media (min-width: 940px) {
	.masthead,
	.mastfoot,
	.cover-container {
		/* width: 700px; */
		width: 840px;
	}
	
	.contact-info {
		display: inline;
	}
	
	.horizontal-separator {
		display: inline;
		margin: auto 20px;
		text-align: center;
		color: #aaa;
	}
}
